Public Member Functions | Public Attributes | Friends | List of all members
WriteNowTextInternal::Token Struct Reference

Internal: the token of a WriteNowText. More...

## Public Member Functions
| Token ()

## Public Attributes
int | m_graphicZone
| the graphic zone id More...
MWAWBox2i | m_box
| the bdbox More...
MWAWVec2i | m_pos [2]
| two positions ( seen relative to the RB point) More...
int | m_values [19]
| some unknown values More...
std::string | m_error
| the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: the token of a WriteNowText.

## Constructor & Destructor Documentation

## ◆ Token()

WriteNowTextInternal::Token::Token | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2i WriteNowTextInternal::Token::m_box

the bdbox

Referenced by WriteNowText::readToken(), WriteNowText::readTokenV2(), and WriteNowText::send().

## ◆ m_error

std::string WriteNowTextInternal::Token::m_error

the parsing errors

## ◆ m_graphicZone

int WriteNowTextInternal::Token::m_graphicZone

the graphic zone id

Referenced by WriteNowText::readToken(), and WriteNowText::send().

## ◆ m_pos

MWAWVec2i WriteNowTextInternal::Token::m_pos[2]

two positions ( seen relative to the RB point)

Referenced by WriteNowText::readToken().

## ◆ m_values

int WriteNowTextInternal::Token::m_values[19]

some unknown values

Referenced by WriteNowText::readToken().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx